# std::basic_string::get_allocator

From cppreference.com
< cpp‎ | string‎ | basic string

allocator_type get_allocator() const; |  |

Returns the allocator associated with the string.

### Parameters

(none)

### Return value

the associated allocator

### Complexity

Constant

### See also

allocator | the default allocator (class template)
allocator_traits (C++11) | provides information about allocator types (class template)
uses_allocator (C++11) | checks if the specified type supports uses-allocator construction (class template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/get_allocator&oldid=70120"